var Service = require('Service');
var util = require('util');

/**
 * 获得默认UI风格
 */
var GetConsoleInfo = function() { 
  Service.call(this);
};

util.inherits(GetConsoleInfo, Service);

module.exports = GetConsoleInfo;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
GetConsoleInfo.prototype.process =  function(req, res) { 
  res.themes = server.config.Themes;
  res.homePage = server.config.HomePage;
  this.pipe(require('../app/getMyAppList'), req, res);
};